{% extends 'Admin/layout.html.twig' %}


{% block title %}Admin Coupons{% endblock %}

{% block breadcrumbs %}
    <li class="breadcrumb-item active">Coupons</li>
{% endblock %}

{% block body_id 'admin_list_coupons' %}

{% block body %}


    <div class="card mb-3">
        <div class="card-body">
            <div class="float-right">
                <a href="{{ url('admin_create_coupon') }}" role="button" class="btn btn-primary" tabindex="-1">Create new coupon</a>
            </div>
        </div>
    </div>


    <div class="card mb-3">
        <div class="card-header text-white bg-primary">
            <i class="fas fa-table"></i>
            All Coupons Table
        </div>
        <div class="card-body">

            {% include 'Admin/Default/_datatable_head.html.twig' with {'url_list':url('admin_list_coupons')} only  %}

            <div class="row">
                <div class="col">
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped table-hover table-sm">
                            <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Code</th>
                                <th scope="col">Type</th>
                                <th scope="col">User</th>
                                <th scope="col">Discount (%)</th>
                                <th scope="col">Start At</th>
                                <th scope="col">Expire At</th>
                                <th scope="col">Status</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for coupon in coupons %}
                                <tr>
                                    <th scope="row">
                                        <a href="{{ url('admin_show_coupon', {id:coupon.id}) }}">{{ coupon.id }}</a>
                                    </th>
                                    <td>{{ coupon.code|e }}</td>
                                    <td>{{ coupon.typeSource|trans }}</td>
                                    <td>
                                        {% if coupon.user is defined and coupon.user is not empty %}
                                            <a href="{{ url('admin_show_user', {id:coupon.user.id}) }}" target="_blank">{{ coupon.user.username|e }}</a>
                                        {% else %}
                                            /
                                        {% endif %}
                                    </td>
                                    <td>{{ coupon.discountPercentage }}</td>
                                    <td>{{ coupon.startedAt is empty ? '/': coupon.startedAt }}</td>
                                    <td>{{ coupon.expiredAt is empty ? '/': coupon.expiredAt }}</td>
                                    <td>{{ coupon.isDisabled ? 'Disabled': 'Active' }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="float-right">
                        {% include 'Admin/Default/_pagination.html.twig' with {'p':paginator} only %}
                    </div>
                </div>
            </div>

        </div>
    </div>



{% endblock %}